Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.css.dom
Class CSSOMStyleDeclaration

    java.lang.Object
      org.apache.batik.css.dom.CSSOMStyleDeclaration

All Implemented Interfaces:
  CSSStyleDeclaration

Direct Known Subclasses:
  CSSOMSVGStyleDeclaration

    public class CSSOMStyleDeclaration

extends Object
implements CSSStyleDeclaration

This class represents a style declaration.

Nested Class Summary
`static interface` | `CSSOMStyleDeclaration.ModificationHandler` To manage the modifications on a CSS value.
`class` | `CSSOMStyleDeclaration.StyleDeclarationValue` This class represents a CSS value returned by this declaration.
`static interface` | `CSSOMStyleDeclaration.ValueProvider` To provides the values.

Field Summary
`protected CSSOMStyleDeclaration.ModificationHandler` | `handler` The modifications handler.
`protected CSSRule` | `parentRule` The parent rule.
`protected CSSOMStyleDeclaration.ValueProvider` | `valueProvider` The associated value.
`protected Map` | `values` The values.

Constructor Summary
`CSSOMStyleDeclaration(CSSOMStyleDeclaration.ValueProvider vp, CSSRule parent)` Creates a new style declaration.

Method Summary
`protected CSSValue` | `createCSSValue(String name)` Creates the CSS value associated with the given property.
`String` | `getCssText()` DOM: Implements `CSSStyleDeclaration.getCssText()`.
`protected CSSValue` | `getCSSValue(String name)` Gets the CSS value associated with the given property.
`int` | `getLength()` DOM: Implements `CSSStyleDeclaration.getLength()`.
`CSSRule` | `getParentRule()` DOM: Implements `CSSStyleDeclaration.getParentRule()`.
`CSSValue` | `getPropertyCSSValue(String propertyName)` DOM: Implements `CSSStyleDeclaration.getPropertyCSSValue(String)`.
`String` | `getPropertyPriority(String propertyName)` DOM: Implements `CSSStyleDeclaration.getPropertyPriority(String)`.
`String` | `getPropertyValue(String propertyName)` DOM: Implements `CSSStyleDeclaration.getPropertyValue(String)`.
`String` | `item(int index)` DOM: Implements `CSSStyleDeclaration.item(int)`.
`String` | `removeProperty(String propertyName)` DOM: Implements `CSSStyleDeclaration.removeProperty(String)`.
`void` | `setCssText(String cssText)` DOM: Implements `CSSStyleDeclaration.setCssText(String)`.
`void` | `setModificationHandler(CSSOMStyleDeclaration.ModificationHandler h)` Sets the modification handler of this value.
`void` | `setProperty(String propertyName, String value, String prio)` DOM: Implements `CSSStyleDeclaration.setProperty(String,String,String)`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### valueProvider

    protected CSSOMStyleDeclaration.ValueProvider valueProvider

  The associated value.

### handler

    protected CSSOMStyleDeclaration.ModificationHandler handler

  The modifications handler.

### parentRule

    protected CSSRule parentRule

  The parent rule.

### values

    protected Map values

  The values.

Constructor Detail

### CSSOMStyleDeclaration

    public CSSOMStyleDeclaration(CSSOMStyleDeclaration.ValueProvider vp,
                                 CSSRule parent)

  Creates a new style declaration.

Method Detail

### setModificationHandler

    public void setModificationHandler(CSSOMStyleDeclaration.ModificationHandler h)

  Sets the modification handler of this value.

### getCssText

    public String getCssText()

  DOM: Implements `CSSStyleDeclaration.getCssText()`.

  Specified by:
    `getCssText` in interface `CSSStyleDeclaration`

### setCssText

    public void setCssText(String cssText)
                    throws DOMException

  DOM: Implements `CSSStyleDeclaration.setCssText(String)`.

  Specified by:
    `setCssText` in interface `CSSStyleDeclaration`
  Throws:
    `DOMException`

### getPropertyValue

    public String getPropertyValue(String propertyName)

  DOM: Implements `CSSStyleDeclaration.getPropertyValue(String)`.

  Specified by:
    `getPropertyValue` in interface `CSSStyleDeclaration`

### getPropertyCSSValue

    public CSSValue getPropertyCSSValue(String propertyName)

  DOM: Implements `CSSStyleDeclaration.getPropertyCSSValue(String)`.

  Specified by:
    `getPropertyCSSValue` in interface `CSSStyleDeclaration`

### removeProperty

    public String removeProperty(String propertyName)
                          throws DOMException

  DOM: Implements `CSSStyleDeclaration.removeProperty(String)`.

  Specified by:
    `removeProperty` in interface `CSSStyleDeclaration`
  Throws:
    `DOMException`

### getPropertyPriority

    public String getPropertyPriority(String propertyName)

  DOM: Implements `CSSStyleDeclaration.getPropertyPriority(String)`.

  Specified by:
    `getPropertyPriority` in interface `CSSStyleDeclaration`

### setProperty

    public void setProperty(String propertyName,
                            String value,
                            String prio)
                     throws DOMException

  DOM: Implements `CSSStyleDeclaration.setProperty(String,String,String)`.

  Specified by:
    `setProperty` in interface `CSSStyleDeclaration`
  Throws:
    `DOMException`

### getLength

    public int getLength()

  DOM: Implements `CSSStyleDeclaration.getLength()`.

  Specified by:
    `getLength` in interface `CSSStyleDeclaration`

### item

    public String item(int index)

  DOM: Implements `CSSStyleDeclaration.item(int)`.

  Specified by:
    `item` in interface `CSSStyleDeclaration`

### getParentRule

    public CSSRule getParentRule()

  DOM: Implements `CSSStyleDeclaration.getParentRule()`.

  Specified by:
    `getParentRule` in interface `CSSStyleDeclaration`

### getCSSValue

    protected CSSValue getCSSValue(String name)

  Gets the CSS value associated with the given property.

### createCSSValue

    protected CSSValue createCSSValue(String name)

  Creates the CSS value associated with the given property.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.